AuMakeElementImportWaveFrom(3)

Name
AuMakeElementImportWaveForm - initialize an ImportWaveForm element

Synopsis
#include <audio/audiolib.h>

AuMakeElementImportWaveForm(element, sample_rate, wave_form, num_samples, freq, num_actions, actions)
    AuElement *element; /* RETURN */
    unsigned short sample_rate;
    int wave_form;
    AuInt32 freq;
    AuInt32 num_samples;
    int num_actions;
    AuElementAction *actions;

Arguments

element
    Returns the initialized element.

sample_rate
    Specifies the sample rate of the audio data.

wave_form
    Specifies the waveform to use. Currently, the following waveforms are defined: AuWaveFormSquare, AuWaveFormSine, AuWaveFormSaw, and AuWaveFormConstant.

freq
    Specifies the frequency of the waveform.

num_samples
    Specifies the number of samples to read. Use AuUnlimitedSamples to indicate an unlimited number of samples.

num_actions
    Specifies the number of actions in actions.

actions
    Specifies the list of actions to associate with this element. Entries in this list can be initialized with AuMakeChangeStateAction, AuMakeSendNotifyAction, and AuMakeNoopAction. May be NULL.

Description
AuMakeElementImportWaveForm sets the type member of element to AuElementTypeImportWaveForm and initializes the importwaveform member of element with the remaining arguments.

AuMakeElementImportWaveForm is implemented as a macro.

NoteS
A server might not support all the waveforms currently defined.

See Also
AuMakeElementAddConstant, AuMakeElementBundle, AuMakeElementExportBucket, AuMakeElementExportClient, AuMakeElementExportDevice, AuMakeElementExportMonitor AuMakeElementImportBucket, AuMakeElementImportClient, AuMakeElementImportDevice, AuMakeElementMultiplyConstant, AuMakeElementSum.

audiolib - Network Audio System C Language Interface